<?php

// Reminder: always indent with 4 spaces (no tabs). 
// +---------------------------------------------------------------------------+
// |                                                                           |
// | Rating plugin 2.0 for Geeklog                                             |
// |                                                                           |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | functions.inc                                                             |
// |                                                                           |
// | config file for the Rating plugin for Geeklog.                         |
// |                                                                           |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | Copyright  (C) 2006 Euan McKay  - info AT heatherengineering DOT com      |
// | Copyright  (C) 2006 Tom Homer	 - TomHomer AT cogeco DOT com              |
// | For support and information, visit http://www.heatherengineering.com/     |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Based on the Universal Plugin and prior work by the following authors:    |
// |                                                                           |
// | Copyright (C) 2002-2006 by the following authors:                         |
// |                                                                           |
// | Authors: Tony Bibbs        - tony AT tonybibbs DOT com                    |
// |          Tom Willett       - tom AT pigstye DOT net                       |
// |          Blaine Lang       - blaine AT portalparts DOT com                |
// |          Dirk Haun         - dirk AT haun-online DOT de                   |
// |          Vincent Furia     - vinny01 AT users DOT sourceforge DOT net     |
// |                                                                           |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//



###############################################################################
# Array Format:
# $LANGXX[YY]:	$LANG - variable name
#		  	XX - file id number
#			YY - phrase id number
###############################################################################
/**
* the rating plugin's lang array
* 
* @global array $LANG_RATING 
*/

$LANG_RATING= array(
		// Moderation
    10 => 'Rating Submissions',


		// Review Form
		50 => 'Post a Review',
		51 => 'Title',
		52 => 'Rating',
		53 => 'Review',
		54 => 'Submit Review',
    55 => 'Important Stuff',
    56 => 'Please try to keep posts on topic.',
    57 => 'Keep your reviews civil and informative.  Don\'t just state it\'s good, tell us why!',
    58 => 'Reviews are submitted for approval, any foul language, etc. will not be tolerated.',
    59 => 'Use a clear Title that describes what your review is about.',
    60 => 'Your email address will NOT be made public.',
    61 => 'Please fill in the Title, Rating and Review fields, as they are necessary for your submission of a review.',
		62 => 'Link',
		63 => 'Reviews may be edited by staff.',
		64 => 'Item | Title',
		65 => 'for',
		66 => 'No recent new reviews',
		

		// Rating display
		100 => 'Average: ',
		101 => 'Your rating: ',
		102 => 'Rate: ',
		103 => 'View all Review(s).',
		104 => 'Add your Review.',
		105 => 'Be the first to rate this item.',
		106 => 'Title',
		107 => 'Info',
		108 => 'Rating Details',
		109 => 'Number&nbsp;of&nbsp;Ratings',
		110 => 'Average',
		111 => 'Rating: ',
		112 => 'Id',
		113 => 'Min Score',
		114 => 'Max Score',
		115 => 'Number of Ratings/Reviews:',
		116 => 'Total Score:',
		117 => 'View',
		118 => 'Add',
		119 => 'Dug it',
		120 => 'Review',
		
		
		// Review View
		201 => 'Reviews',
		202 => 'The following reviews are owned by whomever posted them. This site is not responsible for what they say.',
		203 => 'Back to this Ratings main page',
		204 => 'NA',

		// Rating Admin
		300 => 'Rating',
		301 => 'View',
		302 => 'Parent Item Type',
		303 => 'Group',
		304 => 'Rating Totals Manager',
		305 => 'To modify or delete a rating, click on that rating\'s edit icon below. To create a new rating, click on "Create New" above. To view a rating items rating\'s view icon below. ',
		306 => 'Count',
		307 => 'Average',
		308 => 'Additional Functions',
    309 => 'Rating Item Editor',	
    310 => 'Access Denied',	
    311 => "You are trying to access a rating that you don't have rights to.  This attempt has been logged. Please <a href=\"{$_CONF['site_admin_url']}/plugins/rating/index.php\">go back to the rating administration screen</a>.",
		312 => 'Rating Totals Editor',
    313 => 'save',
    314 => 'cancel',
    315 => 'delete',
    316 => 'Note: The parent item is what this rating will link back<br>
    				to when brought up in	lists like stats, etc. unless there are<br>
    				any reviews then it will link	directly to the Rating.',
		317 => 'Parent Item Id',
    318 => 'If other, specify',		
    319 => 'Other',
    320 => 'You need to provide a item type and default Min and Max values.',
    321 => 'Rating/Review Editor',	
		322 => 'Rating Totals Id',
		323 => 'Created',
		324 => 'You need to provide a Rating Totals Id and a Rating.',
		325 => 'Submissions',
    
    326 => 'Your last rating/review was ',
    327 => ' seconds ago.  This site requires at least ',
    328 => ' seconds between rating/reviews.',
		
		
		329 => 'Diggs: ',
		330 => 'Digg it',
		331 => 'Diggs',
		
		332 => 'Docs',
		333 => 'Rating Home',
		334 => 'Average / Diggs',
		
		
		335 => 'Positives',
		336 => 'Negatives',
		337 => 'Bottom&nbsp;Line',
		338 => 'Nick Name',
	  339 => 'Location',
	  340 => 'Review for',
	  341 => 'Is Helpful',
	  342 => 'Is NOT Helpful',
	  343 => 'Banner Link',
	  344 => 'Title Link',
	  345 => ' out of ',
	  346 => ' people found this Review helpful.  Do you?',
		347 => 'Yes',
		348 => 'No',
		
		350 => 'Your last vote was ',
		351 => ' seconds between votes.',
		
		
		352 => 'Topic',
		353 => 'Last Digg',
		354 => 'Top ',
		355 => ' Digged Posts in the last ',
		356 => ' day(s).',
		357 => ' No Diggs in the last ',
		
		358 => 'RATINGS',
		359 => 'Ratings',
		360 => 'To view just certain rating parent item types, select the type and hit submit. To view a rating review\'s, click the view icon below. ',
		361 => 'All',
		362 => 'REVIEWS',

    'userstats' => 'User Statistics Page',
    'nouserstats' => 'No user ratings found',
    'noaccess' => 'You do not have access to the rating plugin page',
    'noaccessrating' => 'Either there are no ratings to view or you do not have access to view the ratings available. This could be because you aren\'t a member of this site.',
		
		'delete_confirm' => 'Are you sure you want to delete this item?',
		
		
    'error' => '<b>Ratings Error - Flags are not set properly.</b><br>'
);

###############################################################################
# for stats
/**
* the rating plugin's lang stats array
* 
* @global array $LANG_RATING_STATS
*/
$LANG_RATING_STATS = array(
    'rating' => 'Most highly rated items in the System',
    'stats_headline' => 'Top Ten Rated items',
    'stats_page_title' => 'Ratings',
    'stats_hits' => 'Score',
    'stats_average' => 'Average / Diggs',
    'stats_no_hits' => 'It appears that there are no rated items on this site.',
);

###############################################################################
# admin/link.php
/**
* the link plugin's lang admin array
* 
* @global array $LANG_RATING_ADMIN 
*/
$LANG_RATING_ADMIN = array(
);

###############################################################################
# Messages for COM_showMessage the submission form

$PLG_rating_MESSAGE1 = "Thank-you for submitting a review to {$_CONF['site_name']}.  It has been submitted to our staff for approval.";
$PLG_rating_MESSAGE2 = 'You have already added a review for this item.  You can only rate an item one time.';
$PLG_rating_MESSAGE3 = 'You have already a review pending for approval.  You can only rate an item one time.';
$PLG_rating_MESSAGE4 = "Your review has been saved and can now be viewed online.";
$PLG_rating_MESSAGE5 = 'Your Rating Totals has been successfully saved.';
$PLG_rating_MESSAGE6 = 'Your Rating/Review has been successfully saved.';
$PLG_rating_MESSAGE7 = 'Your Rating Totals and all associated Ratings & Reviews has been deleted.';
$PLG_rating_MESSAGE8 = 'Your Rating/Review has been deleted.';
$PLG_rating_MESSAGE9 = 'You are not allowed to add a rating to your own item.';

###############################################################################
# for the search
/**
* the rating plugin's lang search array
* 
* @global array $LANG_RATING_SEARCH 
*/
$LANG_RATING_SEARCH = array(
 'results' => 'Rating Results',
 'title' => 'Title',
 'date' => 'Date Added',
 'author' => 'Submited by',
 'hits' => 'Score'
);

?>