<?php

// Reminder: always indent with 4 spaces (no tabs). 
// +---------------------------------------------------------------------------+
// |                                                                           |
// | Rating plugin 2.0 for Geeklog                                             |
// |                                                                           |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | functions.inc                                                             |
// |                                                                           |
// | config file for the Rating plugin for Geeklog.                         |
// |                                                                           |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | Copyright  (C) 2006 Euan McKay  - info AT heatherengineering DOT com      |
// | Copyright  (C) 2006 Tom Homer	 - TomHomer AT cogeco DOT com              |
// | For support and information, visit http://www.heatherengineering.com/     |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Based on the Universal Plugin and prior work by the following authors:    |
// |                                                                           |
// | Copyright (C) 2002-2006 by the following authors:                         |
// |                                                                           |
// | Authors: Tony Bibbs        - tony AT tonybibbs DOT com                    |
// |          Tom Willett       - tom AT pigstye DOT net                       |
// |          Blaine Lang       - blaine AT portalparts DOT com                |
// |          Dirk Haun         - dirk AT haun-online DOT de                   |
// |          Vincent Furia     - vinny01 AT users DOT sourceforge DOT net     |
// |                                                                           |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//



$_SQL[] = "
CREATE TABLE {$_TABLES['rating']} (      
`rid` varchar(40) NOT NULL default '',          
`rt_id` varchar(40) NOT NULL default '',        
`created` datetime default NULL,                
`score` int(2) NOT NULL default '0',            
`title` varchar(128) NULL,
`pros` varchar(255) NULL,
`cons` varchar(255) NULL,
`bottomline` varchar(255) NULL,
`comment` text NULL,
`helpful_yes` int(2) NOT NULL default '0',            
`helpful_no` int(2) NOT NULL default '0',            
`ipaddress` varchar(15) NULL,  
`nickname` varchar(30) NULL,  
`location` varchar(128) NULL,                    
`owner_id` mediumint(8) unsigned NOT NULL default '1', 
`group_id` mediumint(8) unsigned NOT NULL default '1',
`perm_owner` tinyint(1) unsigned NOT NULL default '3',
`perm_group` tinyint(1) unsigned NOT NULL default '2',
`perm_members` tinyint(1) unsigned NOT NULL default '2',
`perm_anon` tinyint(1) unsigned NOT NULL default '2',
INDEX rating_uid(`owner_id`),                         
INDEX rating_date(`created`),                   
PRIMARY KEY (`rid`)
) TYPE=MyISAM
";


$_SQL[] = "
CREATE TABLE {$_TABLES['rating_totals']} (
`rt_id` varchar(40) NOT NULL default '',         
`item_type` varchar(255) default NULL,          
`item_id` varchar(40) NOT NULL default '',      
`group` varchar(40) default NULL,           
`score_min` int(2) NOT NULL default '0',        
`score_max` int(2) NOT NULL default '0',        
`count` int(11) NOT NULL default '0',        
`total` int(11) NOT NULL default '0',
`title` varchar(128) NULL,
`comment` text NULL,      
`created` datetime default NULL,                      
`banner_link` text NULL,      
`title_link` text NULL,      
`hits` int(11) NOT NULL default '0',        
`owner_id` mediumint(8) unsigned NOT NULL default '1',  
`group_id` mediumint(8) unsigned NOT NULL default '1',
`perm_owner` tinyint(1) unsigned NOT NULL default '3',
`perm_group` tinyint(1) unsigned NOT NULL default '2',
`perm_members` tinyint(1) unsigned NOT NULL default '2',
`perm_anon` tinyint(1) unsigned NOT NULL default '2',
INDEX rating_type(`item_type`,`item_id`),                 
PRIMARY KEY (`rt_id`)
) TYPE=MyISAM
";


$_SQL[] = "
CREATE TABLE {$_TABLES['ratingsubmission']} (  
`rid` varchar(40) NOT NULL default '',          
`rt_id` varchar(40) NOT NULL default '',        
`created` datetime default NULL,                
`score` int(2) NOT NULL default '0',           
`title` varchar(128) NULL,
`pros` varchar(255) NULL,
`cons` varchar(255) NULL,
`bottomline` varchar(255) NULL,
`comment` text NULL,                             
`owner_id` mediumint(8) unsigned NOT NULL default '1',  
`ipaddress` varchar(15) NULL,                    
`nickname` varchar(30) NULL,  
`location` varchar(128) NULL,                    
INDEX rating_uid(`owner_id`),                         
INDEX rating_date(`created`),                    
PRIMARY KEY (`rid`)
) TYPE=MyISAM
";

?>