<?php

// Reminder: always indent with 4 spaces (no tabs). 
// +---------------------------------------------------------------------------+
// |                                                                           |
// | Rating plugin 2.3 for Geeklog                                             |
// |                                                                           |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | french_france_utf-8.php language file                                     |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Based on the Universal Plugin and prior work by the following authors:    |
// | Copyright  (C) 2006 Euan McKay  - info AT heatherengineering DOT com      |
// | Copyright  (C) 2006 Tom Homer	 - TomHomer AT cogeco DOT com              |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//



###############################################################################
# Array Format:
# $LANGXX[YY]:	$LANG - variable name
#		  	XX - file id number
#			YY - phrase id number
###############################################################################
/**
* the rating plugin's lang array
* 
* @global array $LANG_RATING 
*/

$LANG_RATING= array(
	// Moderation
    10 => 'Rating Submissions',

    // Review Form
    50 => 'Publier votre avis',
    51 => 'Titre',
    52 => 'Evaluations',
    53 => 'Avis',
    54 => 'Soumettre votre avis',
    55 => 'Pour publier votre avis',
    56 => 'Merci de ne donner votre avis que sur cet article.',
    57 => 'Votre avis doit être informatif. Soyez précis, donnez des détails. Les points positifs, négatifs et le bilan sont facultatifs mais ils permettent de synthétiser point de vue.',
    58 => 'Votre avis devra être approuvé avant d\'être publier en ligne.',
    59 => 'Utilisez un titre clair qui résumera votre avis et donnera à chacun l\'envie de le lire.',
    60 => 'La localisation est le lieu dans lequel vous résidez. Votre adresse email ne sera jamais publiée sur ce site.',
    61 => 'Avant de valider votre proposition, merci de vérifier que vous avez bien complété le titre, l\'évaluation et le texte de votre avis.',
    62 => 'Lien',
    63 => 'Votre avis pourra être modifié par un modérateur pour rester dans la ligne éditoriale du site.',
    64 => 'Article | Titre',
    65 => 'pour',
    66 => 'Pas de nouveau avis',

    // Rating display
    100 => 'Moyenne des évaluations : ',
    101 => 'Votre évaluation : ',
    102 => 'Note : ',
    103 => 'Voir tous les avis.',
    104 => 'Ajouter votre avis.',
    105 => 'Evaluez moi.',
    106 => 'Titre',
    107 => 'Info',
    108 => 'Détails des évaluations',
    109 => 'Nombre d\'évaluation ',
    110 => 'Moyenne ',
    111 => 'Evaluation : ',
    112 => 'Id',
    113 => 'Minimum',
    114 => 'Maximum',
    115 => 'Nombre d\'avis :',
    116 => 'Score total :',
    117 => 'Vue',
    118 => 'Publier un avis',
    119 => 'Dug it',
    120 => 'Avis',
		
    // Review View
    201 => 'Avis',
    202 => 'Partagez votre opinion, vos avis et conseils.',
    203 => 'Lien vers la page principale des évaluations',
    204 => 'NA',

    // Rating Admin
    300 => 'Rating',
    301 => 'View',
    302 => 'Type',
    303 => 'Groupe',
    304 => 'Tableau des évaluations',
    305 => 'Pour modifier ou supprimer une évaluation, utiliser les liens d\'édition ci-dessous. Pour créer une nouvelle évaluation, cliquez sur "Ajouter" ci-dessus. Pour voir un article à évaluer, cliquez sur les liens ci-dessous. ',
    306 => 'Avis',
    307 => 'Moyenne',
    308 => 'Additional Functions',
    309 => 'Rating Item Editor',	
    310 => 'Access Denied',	
    311 => "You are trying to access a rating that you don't have rights to.  This attempt has been logged. Please <a href=\"{$_CONF['site_admin_url']}/plugins/rating/index.php\">go back to the rating administration screen</a>.",
    312 => 'Rating Totals Editor',
    313 => 'save',
    314 => 'cancel',
    315 => 'delete',
    316 => 'Note: The parent item is what this rating will link back<br>
    				to when brought up in	lists like stats, etc. unless there are<br>
    				any reviews then it will link	directly to the Rating.',
    317 => 'Parent Id',
    318 => 'If other, specify',		
    319 => 'Other',
    320 => 'You need to provide a item type and default Min and Max values.',
    321 => 'Editeur d\'avis',	
    322 => 'Id du total d\'avis',
    323 => 'Créé',
    324 => 'You need to provide a Rating Totals Id and a Rating.',
    325 => 'Submissions',
    
    326 => 'Vous avez déposer votre dernier avis il y a ',
    327 => ' secondes.  Vous devez patienter au moins ',
    328 => ' secondes entre chaque soumissions.',
		
    329 => 'Diggs: ',
    330 => 'Digg it',
    331 => 'Diggs',
		
    332 => 'Docs',
    333 => 'Rating',
    334 => 'Evaluation / Diggs',
    
    335 => 'Points positifs',
    336 => 'Points négatifs',
    337 => 'Bilan',
    338 => 'Nom',
    339 => 'Localisation',
    340 => 'Avis pour',
    341 => 'Utile',
    342 => 'Inutile',
    343 => 'Banner Link',
    344 => 'Title Link',
    345 => ' sur ',
    346 => ' personne trouve cet avis utile.  Et vous?',
    347 => 'Oui',
    348 => 'Non',
    
    350 => 'Your last vote was ',
    351 => ' seconds between votes.',
    
    352 => 'Topic',
    353 => 'Last Digg',
    354 => 'Top ',
    355 => ' Digged Posts in the last ',
    356 => ' day(s).',
    357 => ' No Diggs in the last ',
    
    358 => 'RATINGS',
    359 => 'Les evaluations',
    360 => 'To view just certain rating parent item types, select the type and hit submit. To view a rating review\'s, click the view icon below. ',
    361 => 'All',
    362 => 'REVIEWS',

    'userstats' => 'User Statistics Page',
    'nouserstats' => 'No user ratings found',
    'noaccess' => 'You do not have access to the rating plugin page',
    'noaccessrating' => 'Either there are no ratings to view or you do not have access to view the ratings available. This could be because you aren\'t a member of this site.',
		
    'delete_confirm' => 'Are you sure you want to delete this item?',
		
    'error' => '<b>Ratings Error - Flags are not set properly.</b><br>'
);

###############################################################################
# for stats
/**
* the rating plugin's lang stats array
* 
* @global array $LANG_RATING_STATS
*/
$LANG_RATING_STATS = array(
    'rating' => 'Les articles les plus évalués',
    'stats_headline' => 'Top 10 des articles évalués',
    'stats_page_title' => 'Les évaluations',
    'stats_hits' => 'Score',
    'stats_average' => 'Moyenne / Diggs',
    'stats_no_hits' => 'Il n\'y a pas pas encore d\'article évalué sur le site.',
);

###############################################################################
# admin/link.php
/**
* the link plugin's lang admin array
* 
* @global array $LANG_RATING_ADMIN 
*/
$LANG_RATING_ADMIN = array(
);

###############################################################################
# Messages for COM_showMessage the submission form

$PLG_rating_MESSAGE1 = "Nous avons bien enregistré votre avis. Une fois approuvé, il sera publié sur le site.";
$PLG_rating_MESSAGE2 = 'Vous avez déjà ajouté un avis pour cet article, et vous ne pouvez pas pour le moment en soumettre un autre.';
$PLG_rating_MESSAGE3 = 'Votre premier avis est en cours d\'évaluation. Vous ne pouvez pas pour le moment en soumettre un autre.';
$PLG_rating_MESSAGE4 = "Votre avis a été sauvegardé et peut maintenant être consulté en ligne.";
$PLG_rating_MESSAGE5 = 'Votre évaluation a bien été sauvegardée.';
$PLG_rating_MESSAGE6 = 'Votre évaluation a bien été sauvegardée.';
$PLG_rating_MESSAGE7 = 'Vos évaluations ont été effacées.';
$PLG_rating_MESSAGE8 = 'Votre évaluation a éét effacée.';
$PLG_rating_MESSAGE9 = 'Vous ne pouvez pas évaluer vos propre article.';

###############################################################################
# for the search
/**
* the rating plugin's lang search array
* 
* @global array $LANG_RATING_SEARCH 
*/
$LANG_RATING_SEARCH = array(
   'results' => 'Résultats des évaluations',
   'title' => 'Titree',
   'date' => 'Date d\'ajout',
   'author' => 'Soumis par',
   'hits' => 'Score'
);

?>