<?php

// Reminder: always indent with 4 spaces (no tabs). 
// +---------------------------------------------------------------------------+
// |                                                                           |
// | Rating plugin 2.0 for Geeklog                                             |
// |                                                                           |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | functions.inc                                                             |
// |                                                                           |
// | config file for the Rating plugin for Geeklog.                         |
// |                                                                           |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | Copyright  (C) 2006 Euan McKay  - info AT heatherengineering DOT com      |
// | Copyright  (C) 2006 Tom Homer	 - TomHomer AT cogeco DOT com              |
// | For support and information, visit http://www.heatherengineering.com/     |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Based on the Universal Plugin and prior work by the following authors:    |
// |                                                                           |
// | Copyright (C) 2002-2006 by the following authors:                         |
// |                                                                           |
// | Authors: Tony Bibbs        - tony AT tonybibbs DOT com                    |
// |          Tom Willett       - tom AT pigstye DOT net                       |
// |          Blaine Lang       - blaine AT portalparts DOT com                |
// |          Dirk Haun         - dirk AT haun-online DOT de                   |
// |          Vincent Furia     - vinny01 AT users DOT sourceforge DOT net     |
// |                                                                           |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//

// ***************************************************
// Geeklog changes


// ***************************************************
// Rating Submission table

$_SQL[] = "ALTER TABLE {$_TABLES['ratingsubmission']} 
 ADD `pros` varchar(255) NULL
 AFTER title";

$_SQL[] = "ALTER TABLE {$_TABLES['ratingsubmission']} 
 ADD `cons` varchar(255) NULL
 AFTER pros";

$_SQL[] = "ALTER TABLE {$_TABLES['ratingsubmission']} 
 ADD `bottomline` varchar(255) NULL
 AFTER cons";

$_SQL[] = "ALTER TABLE {$_TABLES['ratingsubmission']} 
 ADD `nickname` varchar(30) NULL
 AFTER ipaddress";

$_SQL[] = "ALTER TABLE {$_TABLES['ratingsubmission']} 
 ADD `location` varchar(128) NULL
 AFTER nickname";


// ***************************************************
// Rating table changes

$_SQL[] = "ALTER TABLE {$_TABLES['rating']} 
 ADD `pros` varchar(255) NULL
 AFTER title";

$_SQL[] = "ALTER TABLE {$_TABLES['rating']} 
 ADD `cons` varchar(255) NULL
 AFTER pros";

$_SQL[] = "ALTER TABLE {$_TABLES['rating']} 
 ADD `bottomline` varchar(255) NULL
 AFTER cons";

$_SQL[] = "ALTER TABLE {$_TABLES['rating']} 
 ADD `helpful_yes` int(2) NOT NULL default '0'
 AFTER comment";

$_SQL[] = "ALTER TABLE {$_TABLES['rating']} 
 ADD `helpful_no` int(2) NOT NULL default '0'
 AFTER helpful_yes";

$_SQL[] = "ALTER TABLE {$_TABLES['rating']} 
 ADD `nickname` varchar(30) NULL
 AFTER ipaddress";

$_SQL[] = "ALTER TABLE {$_TABLES['rating']} 
 ADD `location` varchar(128) NULL
 AFTER nickname";

// ***************************************************
// Rating Totals table changes

$_SQL[] = "ALTER TABLE {$_TABLES['rating_totals']} 
 ADD `banner_link` text NULL
 AFTER created";
 
 $_SQL[] = "ALTER TABLE {$_TABLES['rating_totals']} 
 ADD `title_link` text NULL
 AFTER banner_link";

$_SQL[] = "ALTER TABLE {$_TABLES['rating_totals']} 
 ADD `hits` int(11) NOT NULL default '0'
 AFTER title_link";
 
$_SQL[] = "ALTER TABLE {$_TABLES['rating_totals']} DROP INDEX `rating_type` ,
	ADD INDEX `rating_type` ( `item_type` , `item_id` )";

$_SQL[] = "UPDATE {$_TABLES['rating_totals']}  
	SET item_id = rt_id
	WHERE item_type = 'story'";

$_SQL[] = "UPDATE {$_TABLES['rating_totals']}  
	SET item_id = rt_id
	WHERE item_type = 'comment'";
	
$_SQL[] = "UPDATE {$_TABLES['rating_totals']}  
	SET item_id = rt_id
	WHERE item_type = 'staticpage'";
 
$_SQL[] = "UPDATE {$_TABLES['rating_totals']}
  SET item_type = LCASE(item_type)";
 
?>
