<?php

// Reminder: always indent with 4 spaces (no tabs). 
// +---------------------------------------------------------------------------+
// |                                                                           |
// | Rating plugin 2.0 for Geeklog                                             |
// |                                                                           |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | functions.inc                                                             |
// |                                                                           |
// | config file for the Rating plugin for Geeklog.                         |
// |                                                                           |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | Copyright  (C) 2006 Euan McKay  - info AT heatherengineering DOT com      |
// | Copyright  (C) 2006 Tom Homer	 - TomHomer AT cogeco DOT com              |
// | For support and information, visit http://www.heatherengineering.com/     |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Based on the Universal Plugin and prior work by the following authors:    |
// |                                                                           |
// | Copyright (C) 2002-2006 by the following authors:                         |
// |                                                                           |
// | Authors: Tony Bibbs        - tony AT tonybibbs DOT com                    |
// |          Tom Willett       - tom AT pigstye DOT net                       |
// |          Blaine Lang       - blaine AT portalparts DOT com                |
// |          Dirk Haun         - dirk AT haun-online DOT de                   |
// |          Vincent Furia     - vinny01 AT users DOT sourceforge DOT net     |
// |                                                                           |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//

global $_RATING_CONF;

// Reset owner to Admin for all rating_totals records that are owned by Anonymous
$_SQL[] = "UPDATE {$_TABLES['rating_totals']} 
 SET owner_id = 2 WHERE owner_id = 1";

// Update permissions for ratings_totals table
$_SQL[] = "UPDATE {$_TABLES['rating_totals']} 
 SET perm_owner={$_RATING_CONF['default_permissions_totals'][0]},
    perm_group={$_RATING_CONF['default_permissions_totals'][1]},
    perm_members={$_RATING_CONF['default_permissions_totals'][2]},
    perm_anon={$_RATING_CONF['default_permissions_totals'][3]}";

// Update permissions for ratings table
$_SQL[] = "UPDATE {$_TABLES['rating']} 
 SET perm_owner={$_RATING_CONF['default_permissions_ratings'][0]},
    perm_group={$_RATING_CONF['default_permissions_ratings'][1]},
    perm_members={$_RATING_CONF['default_permissions_ratings'][2]},
    perm_anon={$_RATING_CONF['default_permissions_ratings'][3]}";

  
?>
